<template>
  <BasicModal
    width="500px"
    title="新增参数"
    @register="registerModal"
    v-bind="$attrs"
    @ok="handleSubmit"
  >
    <div style="height: 60vh"> <BasicForm @register="registerForm" /></div>
  </BasicModal>
</template>
<script lang="ts" setup>
  import { BasicModal, useModalInner } from '/@/components/Modal';
  import { BasicForm, useForm } from '/@/components/Form/index';
  import { parameterFormSchema } from './type.data';

  const [registerModal, { closeModal }] = useModalInner();
  const [registerForm] = useForm({
    labelWidth: 200,
    schemas: parameterFormSchema,
    showActionButtonGroup: false,
    actionColOptions: {
      span: 18,
    },
  });
  function handleSubmit() {
    closeModal();
  }
</script>
<style lang="less" scoped></style>
